## portabase 2.1+git20120910

=== resources/help/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  pdf        to make PDF files using ReportLab"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PortaBase.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PortaBase.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PortaBase"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PortaBase"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

pdf:
	$(SPHINXBUILD) -b pdf $(ALLSPHINXOPTS) _build/pdf
	@echo
	@echo "Build finished. The PDF files are in _build/pdf."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## portabase 2.0~beta1-2

=== src/debian/changelog ===
portabase (2.0~beta1-1) unstable; urgency=low

  * New upstream version

 -- Jeremy Bowman <jmbowman@alum.mit.edu>  Wed, 29 Apr 2010 09:45:33 -0500

portabase (1.9-1) unstable; urgency=low

  * New upstream version

 -- Jeremy Bowman <jmbowman@alum.mit.edu>  Wed, 29 Mar 2004 22:37:33 -0500

portabase (1.8-1) unstable; urgency=low

  * New upstream version

 -- Jeremy Bowman <jmbowman@alum.mit.edu>  Sun, 31 Aug 2003 17:35:40 -0500

portabase (1.7-1) unstable; urgency=low

  * New upstream version

 -- Jeremy Bowman <jmbowman@alum.mit.edu>  Wed, 11 Jun 2003 22:26:53 -0500

portabase (1.6-1) unstable; urgency=low

  * New upstream version

 -- Jeremy Bowman <jmbowman@alum.mit.edu>  Sun, 30 Mar 2003 15:56:53 -0500

portabase (1.5-1) unstable; urgency=low

  * Initial Release.

 -- Jeremy Bowman <jmbowman@alum.mit.edu>  Sun, 09 Feb 2003 20:42:53 -0500

=== src/packaging/maemo/debian/changelog ===
portabase (2.0~beta1-2) unstable; urgency=low

  * Declare the debug package in the control file

 -- Jeremy Bowman <jmbowman@alum.mit.edu>  Wed, 05 May 2010 13:49:03 +0100

=== src/debian/control ===
Source: portabase
Section: x11
Priority: optional
Maintainer: Jeremy Bowman <jmbowman@alum.mit.edu>
Build-Depends: debhelper (>= 7.4.12), libqt4-dev (>= 4.5.0)
Standards-Version: 3.8.4
Vcs-Git: git://portabase.git.sourceforge.net/gitroot/portabase/portabase
Vcs-Browser: http://portabase.git.sourceforge.net/
Homepage: http://portabase.sourceforge.net

Package: portabase
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: An easy-to-use personal database application
 PortaBase is a program for conveniently managing one-table database files.
 It is available for many platforms, including Linux, Mac OS X, Windows,
 and Maemo.
 .
 Features include:
  - String, Integer, Decimal, Boolean, Note (multi-line text), Date, Time,
    Calculation, Sequence, Image, and Enum column types
  - Custom data views (subsets of the columns in any order)
  - Filter the displayed rows using sets of conditions
  - Sort the rows by any combination of columns, each in ascending or
    descending order
  - Optional page navigation buttons, with a custom number of rows per page
  - Add, delete, rearrange, and rename columns at any time
  - Specify default values for columns
  - View summary statistics for columns (total, average, min, max, etc.)
  - Import data from CSV, XML, and MobileDB files
  - Export data to CSV and XML files
  - Command-line format conversions (to and from XML, from MobileDB)
  - Data file encryption
  - Unicode support

=== src/packaging/maemo/debian/control ===
Source: portabase
Section: user/office
Priority: optional
Maintainer: Jeremy Bowman <jmbowman@alum.mit.edu>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.2

Package: portabase
Architecture: any
Depends: ${shlibs:Depends}, hildon-application-manager
Description: An easy-to-use personal database application
 PortaBase is a program for conveniently managing one-table database files.
 It is available for many platforms, including Linux, Mac OS X, Windows,
 and Maemo.
 .
 Features include:
  - String, Integer, Decimal, Boolean, Note (multi-line text), Date, Time,
    Calculation, Sequence, Image, and Enum column types
  - Custom data views (subsets of the columns in any order)
  - Filter the displayed rows using sets of conditions
  - Sort the rows by any combination of columns, each in ascending or
    descending order
  - Optional page navigation buttons, with a custom number of rows per page
  - Add, delete, rearrange, and rename columns at any time
  - Specify default values for columns
  - View summary statistics for columns (total, average, min, max, etc.)
  - Import data from CSV, XML, and MobileDB files
  - Export data to CSV and XML files
  - Command-line format conversions (to and from XML, from MobileDB)
  - Data file encryption
  - Unicode support
XB-Maemo-Display-Name: PortaBase
XB-Homepage: http://portabase.sourceforge.net
XB-Bugtracker: http://sourceforge.net/tracker/?group_id=64705&atid=508374
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0SU1FB9oEEAMzIBernxcAAAe+SURBVGje
 7ZnLb1xXHce/53mv5+mZ2HXxI6mTtFGr5kGAFiTSKoAa6gpUoe5g0xViw4ItC1jxB7CHDaAukLqL
 AZUqqCDxaGka2324iZNWyTQee7BnxjN37j1PFnMntVM7tptx0ii50tEdjeb+7u/ze57zG+Aev8hu
 H5g6fTQL4NcAjvdZlwsAfjp9bra9ZwBTp48eAvAq5+zYk4+NQ0oBZ+1taU0ZgzEGc/PXoLSZAfCD
 6XOzC30HmDp9dArA74uFbOnMsycwWMii1WrBmNsD4Jwhl8thrd3BX/52Hiv11iqAH02fm53uC8Dz
 p49SAvwcwC8OT46y7z33FOAdqtXabSu/HmJkZAiEMpx97T+YX6hYAL8E8Kvpc7PuVs+ybaxeJMAr
 hJCffOeZk/Sl759C3IlRqVThnOtb8Dvn0WpFGCzm8c2vHwOlhF7+ePFbAI4/Ojnyp4sfLSWfywMv
 nD52Ngzl1Ms//C5OHD18R6vLzLuX8dvfTaMTq9fOnpt5bkvvbSOneOzx/TBxhLfenLnjJfKrxw/h
 7/9+v3TL8NtOiFIa9XrzrtR4rfX2+bMbgUoZXPyoCkrJnijsvcfkxDAGQrnzArArAGNQyIWYGN23
 JwCLyw10Yr0rAHqvbyUeADwAuN8BeD+FfVypIYrULX+TyUgcGBv6YgL0U7EHOXBfAFjvQUUWVObv
 zSSeaTUx+tB+HH74ScA0odeuIWlW4J35YgJwxrDajNCKuueL5QLF8cI4CCEQmSFkCg+Djn8F1col
 zF+8gMbKNWQo2/G51RiLg/sf6i8AAUBA4OEBAEOlbrg4CuRzOeTDApRSIIR0QcIQ+w8dw8EjJ5GY
 GFcW51G5/gE6a8soUAYaG7hk66Nob6dLQHYEvi0AYwyUUVhrsVJv4x9vzncf3JfF06efByEEcRyD
 cw6lFNrtNoaGhkApRT5TwMnHvoGnnjiFRlTHe1dnMXflAhaXK3DtBK6tYCMN19HwHQ1vHZ4+cQgH
 xodAGQVjrB8AFCwFWH+JwQwmSpMghKBUKqHRaKBQKCBJEtRqNZRKJTSbTYyNjYEQgqHiML49dAZn
 vvYClptLmL38DmYW3sYntQoAIJq9Dt9KPvPevniga4mNp6PxicMIRQhCPnV0FEUolUpYWVlBu91G
 uVwGIQStVgvtdhthGGJiYgKj+8awf+QAXnzmJdSay5j98G28Ff8V786e3+S9t1lGNxNEQ47J0SM3
 4j6KImSzWVhroZRCsVhEp9NBEATw3qNaraJcLqNWq90Anp2dRRzHKGXLmDr1Il7+8c/gnN0DAM4+
 48rc8BBG8qM3AOI4hve+O6BaWwOlFMViEZVKBUmSwFqLer2O0dHuM9VqFYVCAfPz8zcKwB9f+c2G
 UQ3rVw7wVNBKvYW5+asQgsE3I7x+9g/dCkVINz8IgeAc2hhQQiCEgFIKMgjgrIV1DpmBAXjvobRC
 GISIogjFYhGEEFz68D0IwfDBwnXksiHK5UEw3scc0MbiwPgQjhz8Uh/b0Kcd/IkDXwYAXLyyCKVN
 v3Pgzm+ZdhpCtF+C+g/AwHdguPvBA+yueaAfAITzu+4BstsqxKSUIec855yXG1zpu+O/za73L30C
 u8ORO6MUjx8e3WK8uDF0nfMyk8mMGGNaSqkYgN0KgAohMkEQFIUQBSllwXuE611prINSm+/1h8t5
 WOd3CEC2lNPbczHGwDiDB2Q+n39EKdWUUjaTJGlorSMAbj2ACMOwEATBoBCiKKUclFIWPSAZYxge
 LmNycgLV5TkkavOJcSB3dzbaSo6xDpOTExgeLmOx1gQAOTAwMMoYyzLGBhhjYZIk9TiOmwA0T0Mm
 L6UsCiGKQRCUpJSDQRAMAoRfulwB5wxLtTUY65CovT1tGWOx9L8m3pm7jIUrFQCEhWFYJoRQkm6k
 vPfeOeeVUg0OgHPOJWMsYIwFlNKAMRYyxkLnyeob/5yrvvGvdzkBgkfGSrmtLNc3AOvw59f/2/JA
 Au+NdWSlp0+qW8AYCzjnUinFeQrkvffOdzPUpZ9drUVfTb1RCrh91Fj37J57wFpokj2fGDafJMmq
 Uqre0yfVbb2ungPQWuuIMSYppZJSKgghglLKKaWcEMK894JKHxsDxInaUwCtLbRSnViRljFmTWu9
 prVupattjGkbY6I0kTUH4I0xrTiOnffepst477W1NtFaayGEoZ4Vri4mC9eW2pwSwgmhnFDCCaGM
 EELX1eub7zcq5M33riWd9c4b751x3hvvnIkTUok6dklrvaq1XtFaN5VSjXTVkyRpGGMiAH7DSwgh
 XEqZlVIWhBAFIUSecz4ohChxzotpoheklHkhRE4IkRFCZNLc6XmPE0JY2iTJOqV7BjLOOe2cU6mB
 onS1lFJrPWWNMQ2t9aoxpp56oamUaiql2t57gy2stL6ZBZzzLOc8xznPCyGKjLEeWI5znu0BcM7D
 NLlEL+wAbKgaPQDnnLHWamttYoyJewDGmHYaJk1rbVNr3TDGrBljWsaYtlIqubmJbdum1zU4nlp5
 IAXKcs6zjLFMrzYzxmSaR5xSyjcDcM6ZFEClK7bWdqy1URrbbWttK/0u0VqbXsO61djnc40kKaWM
 McbTJSilPetzQkgvL3qbqF5l64WQcc7p1BPGWmtc90C867///w+iNyjsMjIXAQAAAABJRU5ErkJg
 gg==

Package: portabase-dbg
Section: devel
Architecture: any
Depends: portabase (= ${Source-Version})
Description: Debug symbols for PortaBase

## portabase 2.0~beta2-1

=== src/debian/changelog ===
portabase (2.0~beta2-1) unstable; urgency=low

  * New upstream version

 -- Jeremy Bowman <jmbowman@alum.mit.edu>  Wed, 17 May 2010 08:17:59 -0500

=== src/debian/control ===
Source: portabase
Section: x11
Priority: optional
Maintainer: Jeremy Bowman <jmbowman@alum.mit.edu>
Build-Depends: debhelper (>= 7.4.12), libqt4-dev (>= 4.5.0)
Standards-Version: 3.8.4
Vcs-Git: git://portabase.git.sourceforge.net/gitroot/portabase/portabase
Vcs-Browser: http://portabase.git.sourceforge.net/
Homepage: http://portabase.sourceforge.net

Package: portabase
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: An easy-to-use personal database application
 PortaBase is a program for conveniently managing one-table database files.
 It is available for many platforms, including Linux, Mac OS X, Windows,
 and Maemo.
 .
 Features include:
  * String, Integer, Decimal, Boolean, Note (multi-line text), Date, Time,
    Calculation, Sequence, Image, and Enum column types;
  * custom data views (subsets of the columns in any order);
  * filter the displayed rows using sets of conditions;
  * sort the rows by any combination of columns, each in ascending or
    descending order;
  * add, delete, rearrange, and rename columns at any time;
  * view summary statistics for columns (total, average, min, max, etc.);
  * import data from CSV, XML, and MobileDB files;
  * export data to CSV and XML files;
  * command-line format conversions (to and from XML, from MobileDB);
  * optional data file encryption.

=== src/packaging/maemo/debian/control ===
--- 
+++ 
@@ -14,21 +14,18 @@
  and Maemo.
  .
  Features include:
-  - String, Integer, Decimal, Boolean, Note (multi-line text), Date, Time,
-    Calculation, Sequence, Image, and Enum column types
-  - Custom data views (subsets of the columns in any order)
-  - Filter the displayed rows using sets of conditions
-  - Sort the rows by any combination of columns, each in ascending or
-    descending order
-  - Optional page navigation buttons, with a custom number of rows per page
-  - Add, delete, rearrange, and rename columns at any time
-  - Specify default values for columns
-  - View summary statistics for columns (total, average, min, max, etc.)
-  - Import data from CSV, XML, and MobileDB files
-  - Export data to CSV and XML files
-  - Command-line format conversions (to and from XML, from MobileDB)
-  - Data file encryption
-  - Unicode support
+  * String, Integer, Decimal, Boolean, Note (multi-line text), Date, Time,
+    Calculation, Sequence, Image, and Enum column types;
+  * custom data views (subsets of the columns in any order);
+  * filter the displayed rows using sets of conditions;
+  * sort the rows by any combination of columns, each in ascending or
+    descending order;
+  * add, delete, rearrange, and rename columns at any time;
+  * view summary statistics for columns (total, average, min, max, etc.);
+  * import data from CSV, XML, and MobileDB files;
+  * export data to CSV and XML files;
+  * command-line format conversions (to and from XML, from MobileDB);
+  * optional data file encryption.
 XB-Maemo-Display-Name: PortaBase
 XB-Homepage: http://portabase.sourceforge.net
 XB-Bugtracker: http://sourceforge.net/tracker/?group_id=64705&atid=508374

## portabase 2.0~rc1-1

=== src/debian/changelog ===
portabase (2.0~rc1-1) unstable; urgency=low

  * New upstream version

 -- Jeremy Bowman <jmbowman@alum.mit.edu>  Wed, 27 May 2010 09:49:17 -0500

## portabase 2.0+git20110117

=== debian/changelog ===
portabase (2.0+git20110117-1) unstable; urgency=low

  * Initial release (Closes: #584570)

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sat, 12 May 2012 15:37:25 +1000

=== debian/control ===
Source: portabase
Section: database
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@member.fsf.org>
Uploaders: Jeremy Bowman <jmbowman@alum.mit.edu>
Build-Depends: debhelper (>= 9), autotools-dev, libqt4-dev (>= 4.6.3)
Standards-Version: 3.9.3
Homepage: http://portabase.sourceforge.net

Package: portabase
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Easy-to-use personal database application
 PortaBase is a program for conveniently managing one-table database files.
 It is available for many platforms, including Linux, Mac OS X, Windows,
 and Maemo.  Features include:
 .
  * String, Integer, Decimal, Boolean, Note (multi-line text), Date, Time,
    Calculation, Sequence, Image, and Enum column types;
  * custom data views (subsets of the columns in any order);
  * filter the displayed rows using sets of conditions;
  * sort the rows by any combination of columns, each in ascending or
    descending order;
  * add, delete, rearrange, and rename columns at any time;
  * view summary statistics for columns (total, average, min, max, etc.);
  * import data from CSV, XML, and MobileDB files;
  * export data to CSV and XML files;
  * command-line format conversions (to and from XML, from MobileDB);
  * optional data file encryption.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE := portabase
VER := $(shell dpkg-parsechangelog | perl -ne 'print $$1 if m/Version:\s*([\d\.+git]+)/')
UVER := $(shell echo $(VER) | perl -ne 'print $$1 if m/\+git(\d+)/')
UVER_DATE := $(shell echo '$(UVER)' | perl -ne 'print $$1 if m/^(\d{8})/')
UVER_TIME := $(shell echo '$(UVER)' | perl -ne 'print $$1 if m/^\d{8}(\d+)/')
UVER_UDATE := $(shell date -u -d "$(UVER_DATE) $(UVER_TIME)" +%s)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with autotools-dev

override_dh_auto_clean:
	$(MAKE) -C metakit/builds distclean || $(RM) metakit/builds/*
	$(RM) build/mk4* resources/translations/*.qm
	dh_auto_clean

override_dh_auto_configure:
	chmod -R a-x+X metakit/ qqutil/ resources/ \
	&& chmod +x metakit/unix/configure
	cd metakit/builds && ../unix/configure --enable-threads --disable-shared
	lrelease portabase.pro
	lrelease resources/translations/qt*.ts
	dh_auto_configure
	# patch generated Makefiles to respect dpkg-provided build flags
	perl -0pi -e 's{(CX?X?FLAGS\s*)=}{$$1+=}g;' Makefile metakit/builds/Makefile

override_dh_auto_build:
	cd metakit/builds && $(MAKE)
	mkdir -p build \
	&& cp metakit/include/mk4.h metakit/include/mk4.inl \
	        metakit/include/mk4str.h metakit/include/mk4str.inl \
	        build/
	dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

get-orig-source:
	@echo " Upstream version: $(UVER)\n Version: $(VER)\n UDATE: $(UVER_UDATE)"
	git clone git://portabase.git.sourceforge.net/gitroot/portabase/portabase $(PACKAGE)-$(UVER)
	cd $(PACKAGE)-$(UVER) \
	&& git reset --hard $$(git rev-list --all -n 1 --before=$(UVER_UDATE)) \
	&& git checkout master \
	&& $(RM) -r .git .git* && cd .. && echo "Packing..." \
	&& tar cJf $(PACKAGE)_$(VER).orig.tar.xz $(PACKAGE)-$(UVER)
	$(RM) -r $(PACKAGE)-$(UVER)

## portabase 2.0-1

=== src/packaging/maemo/debian/changelog ===
portabase (2.0-1) unstable; urgency=low

  * New upstream version

 -- Jeremy Bowman <jmbowman@alum.mit.edu>  Wed, 02 Jun 2010 16:23:17 -0500

## portabase 2.1%2Bgit20120910

=== debian/rules ===
--- 
+++ 
@@ -14,40 +14,63 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --with autotools-dev
+	dh $@ --with autotools-dev,sphinxdoc
+
+#QM_FILES := $(patsubst %.ts, %.qm, $(wildcard resources/translations/*.ts))
+#$(QM_FILES):
+#	## rebuild translations
+#	lupdate portabase.pro -locations none -silent -ts $(@:.qm=.ts)
+#	lrelease $(@:.qm=.ts)
 
 override_dh_auto_clean:
 	$(MAKE) -C metakit/builds distclean || $(RM) metakit/builds/*
-	$(RM) build/mk4* resources/translations/*.qm
+	$(RM) -r build/mk4* resources/translations/*.qm resources/help/_build
+
 	dh_auto_clean
 
 override_dh_auto_configure:
 	chmod -R a-x+X metakit/ qqutil/ resources/ \
 	&& chmod +x metakit/unix/configure
 	cd metakit/builds && ../unix/configure --enable-threads --disable-shared
+	
+	## rebuild translations
 	lrelease portabase.pro
 	lrelease resources/translations/qt*.ts
+	
 	dh_auto_configure
-	# patch generated Makefiles to respect dpkg-provided build flags
-	perl -0pi -e 's{(CX?X?FLAGS\s*)=}{$$1+=}g;' Makefile metakit/builds/Makefile
 
 override_dh_auto_build:
+	## build metakit
 	cd metakit/builds && $(MAKE)
 	mkdir -p build \
 	&& cp metakit/include/mk4.h metakit/include/mk4.inl \
 	        metakit/include/mk4str.h metakit/include/mk4str.inl \
 	        build/
+	
+	## build help files
+	packaging/linux/debian.sh
+	
 	dh_auto_build
+
+override_dh_sphinxdoc:
+	for lang in en cs fr ja zh_TW; do \
+	    dh_sphinxdoc -v usr/share/$(PACKAGE)/help/$$lang ;\
+	done
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES
 
+override_dh_builddeb:
+	dh_builddeb -- -Zxz
+
 get-orig-source:
 	@echo " Upstream version: $(UVER)\n Version: $(VER)\n UDATE: $(UVER_UDATE)"
-	git clone git://portabase.git.sourceforge.net/gitroot/portabase/portabase $(PACKAGE)-$(UVER)
+	git clone git://git.code.sf.net/p/portabase/code-0 $(PACKAGE)-$(UVER)
 	cd $(PACKAGE)-$(UVER) \
 	&& git reset --hard $$(git rev-list --all -n 1 --before=$(UVER_UDATE)) \
 	&& git checkout master \
-	&& $(RM) -r .git .git* && cd .. && echo "Packing..." \
+	&& $(RM) -r .git .git* packaging/windows/*.EXE \
+        && cd .. \
+	&& echo "Packing..." \
 	&& tar cJf $(PACKAGE)_$(VER).orig.tar.xz $(PACKAGE)-$(UVER)
 	$(RM) -r $(PACKAGE)-$(UVER)

## portabase 2.1+git20120910

=== debian/changelog ===
portabase (2.1+git20120910-1) unstable; urgency=low

  * New upstream version [September 2012].
  * .deb files compression to xz.
  * Dropped desktop-file.patch (applied-upstream).
  * Use dh_sphinxdoc and python-sphinx to build new upstream documentation.
  * Added new build.patch to generate translations using upstream script.
  * Updated URL of upstream git repository.
  * Updated package description.
  * Minor copyright year update.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Mon, 17 Sep 2012 17:12:55 +1000

=== debian/watch ===
version=3

http://sf.net/portabase/portabase_([\d\.-]+)\.tar\.gz

## portabase 2.1-1

=== src/packaging/maemo/debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/office
 Priority: optional
 Maintainer: Jeremy Bowman <jmbowman@alum.mit.edu>
-Build-Depends: debhelper (>= 5), libqt4-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, mce-dev
 Standards-Version: 3.7.2
 
 Package: portabase
@@ -10,10 +10,11 @@
 Depends: ${shlibs:Depends}, hildon-application-manager
 Description: An easy-to-use personal database application
  PortaBase is a program for conveniently managing one-table database files.
- It is available for many platforms, including Linux, Mac OS X, Windows,
- and Maemo.
+ It can be used as a shopping list, password manager, media inventory,
+ financial tracker, TODO list, address book, photo album, and more. It is
+ available for many platforms, including Linux, Mac OS X, Windows, and Maemo.
+ Features include:
  .
- Features include:
   * String, Integer, Decimal, Boolean, Note (multi-line text), Date, Time,
     Calculation, Sequence, Image, and Enum column types;
   * custom data views (subsets of the columns in any order);
@@ -23,12 +24,13 @@
   * add, delete, rearrange, and rename columns at any time;
   * view summary statistics for columns (total, average, min, max, etc.);
   * import data from CSV, XML, and MobileDB files;
-  * export data to CSV and XML files;
-  * command-line format conversions (to and from XML, from MobileDB);
+  * export data to CSV, HTML, and XML files;
+  * command-line format conversions (to and from XML, from MobileDB,
+    to HTML);
   * optional data file encryption.
 XB-Maemo-Display-Name: PortaBase
-XB-Homepage: http://portabase.sourceforge.net
-XB-Bugtracker: http://sourceforge.net/tracker/?group_id=64705&atid=508374
+XB-Homepage: http://www.portabase.org
+XB-Bugtracker: https://sourceforge.net/p/portabase/bugs/
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
  /wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0SU1FB9oEEAMzIBernxcAAAe+SURBVGje

## portabase 2.1-2

=== src/packaging/maemo/debian/changelog ===
portabase (2.1-2) unstable; urgency=low

  * Updated application icon data in control file

 -- Jeremy Bowman <jmbowman@alum.mit.edu>  Wed, 09 Sep 2012 12:51:23 -0500

portabase (2.1-1) unstable; urgency=low

  * New upstream version

 -- Jeremy Bowman <jmbowman@alum.mit.edu>  Wed, 08 Sep 2012 12:55:34 -0500

portabase (2.0-2) unstable; urgency=low

  * Better management of link in /usr/bin

 -- Jeremy Bowman <jmbowman@alum.mit.edu>  Wed, 03 Jun 2010 09:35:50 -0500

=== src/packaging/maemo/debian/control ===
Source: portabase
Section: user/office
Priority: optional
Maintainer: Jeremy Bowman <jmbowman@alum.mit.edu>
Build-Depends: debhelper (>= 5), libqt4-dev, mce-dev
Standards-Version: 3.7.2

Package: portabase
Architecture: any
Depends: ${shlibs:Depends}, hildon-application-manager
Description: An easy-to-use personal database application
 PortaBase is a program for conveniently managing one-table database files.
 It can be used as a shopping list, password manager, media inventory,
 financial tracker, TODO list, address book, photo album, and more. It is
 available for many platforms, including Linux, Mac OS X, Windows, and Maemo.
 Features include:
 .
  * String, Integer, Decimal, Boolean, Note (multi-line text), Date, Time,
    Calculation, Sequence, Image, and Enum column types;
  * custom data views (subsets of the columns in any order);
  * filter the displayed rows using sets of conditions;
  * sort the rows by any combination of columns, each in ascending or
    descending order;
  * add, delete, rearrange, and rename columns at any time;
  * view summary statistics for columns (total, average, min, max, etc.);
  * import data from CSV, XML, and MobileDB files;
  * export data to CSV, HTML, and XML files;
  * command-line format conversions (to and from XML, from MobileDB,
    to HTML);
  * optional data file encryption.
XB-Maemo-Display-Name: PortaBase
XB-Homepage: http://www.portabase.org
XB-Bugtracker: https://sourceforge.net/p/portabase/bugs/
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJ
 bWFnZVJlYWR5ccllPAAACm9JREFUeNrsWUtsXNUZ/ubOvfN+244f5OEEB8fQJgYkCgWKoaVERYWg
 FMGiEm5R6QphpKprd9Fu60hdsKkKbRddVJVRFaGU0CYkQJKmkpM0dQKxM7bHb4/n/bjP6f+fO+OM
 gz3YJrQbn+j4zL1z5tz/+//vf90A22N7bI/tsT2+xHB8lYefGx0PG7npAbO4MICKGXHw0+iP+Ofg
 jw5bAF4d69/zhzuQsWIDD/fsO3b7M+SvSPA9RmFhMD924oiRGYvYgkiQJJKL/kh0zdMh1VZJfEb1
 s/hIqzcQQ7Tlbig+BzJZxNd6lnyHBX+itPDv/szoX/qN/MyKkJsdssuLWOt+BKN3ieui4eRl5Cuj
 EAuenzo3qGWn+4z8tC14nZZvWeCW1m+3AH8nyy5Ed+xFpHkPnWrBMlWgUmH6pPd3PRC94xY4c/HC
 K2pmanD+4m87K1rOFlTamk7CTTsRI+GZZqaWEfckp5vkN6GZlZF1rbUlxyxnBnKJi/0Ll/7USU+z
 tb1FwX2hZrS07YPb40XF0sjXmf8KnK4AnSlDLy1Dr7hPbQkAU4OWXpp91Rkppmcx8cnvyfQWPUCC
 oihkelJbhZ1PElRhSsh03+l00pTgpGteperK9/mzy+1GS0c3Ca6LST+k3wXgcCqkeUtMw6qgXPFt
 zQIUtk7TwvNYFdAr+eTUUCGfjdQE01hI2RZMrgonvtPsVVZcUGQZissttOyQnDbnaZ+seGzByRWd
 ipcWJ0yDrAAPFImEJ1pqFfe6DixothlzE6B38skETMuCaVr2apn0UPvaMKv3xTTte7oGTVNRLuWR
 zy5DU8vV35oEQkahUCC6BGEYBlHFDzn8NbgDu8TZFaKnWvGm6bkTW/YB0vrztHRWKXTk6sm3YNHh
 nxtGo7DmWFlLxRxZTKleykinUnCRdbIFA1OLOXTtTiPgLtcdK480kk/agNbfpWW4dl1IzYjQxiDE
 NOus8TkrrLZGbdXJKrYSJGEhniG/E4e6XKuE59HIgTdMoaoJ+8v5ZNrUqw8gEDaFaiDMFYGN9YQX
 oE3omiauOfMydcTUdbFW6NzaMCkwNHLgTfkAgcikZ66vPuw2EFZVWKsOTI3vYp9hVsGZIlQuzM0h
 HA6T4PqaIL7IgTftxKXsYufnbtaBsIGYt2neWnHyFeenSZmDVlv7prDCLRCZTAap5aRw4FptVb9u
 CQAnMLWY7lzzy6pPmGYdmDra1IDVrFThapTCaU3jNRClUhEL83MUWi0E/SHIiURkR/mv8X3Rn8cv
 TkxXFI8yQnK8sdVM3FtkB15nVAQI4jW48DIblluWVRH3V/hP2lfLZXh9PgLmxtTHV7HLk8aux09h
 vulRXNN+RclSRmslFVEkdYhADNdC64YBlHJLvWoh1XDPahDWusGUAVi0VycLpFPL8JHgXl8Q85fG
 4E3EcfCJOIyHXDiR+R3M9G7cRZFpn3MGbslEUvesygsbBpCdv9G7kX01EA7HbZLXGcXpdKFYyItS
 IRqNYSmextI/zuLgwUmEfqritPYzJGaeRpvbwIOhRcRkE7I7SoktS6WFNLIlCpVzyd6N7mUQ7ANr
 prRqqc2UMBDA387N44E/n8T9Ly+h5UUNv5w5Dq8cxNMtaXR5qVB0xWgfZWhHkerGPFSz6dSWAOjl
 fO9mIhZrt4bBUWcKJ5UP7AHX4gXcmNYQW0jClykg3KViNP8NLGlBvBG8inZvE/7zaQJufw5tETKf
 UxV5oWS2jWw6CpHTHCo0cOB1QawKr3YE4keyhZIZu/ZoIgA8IvdVMF46ACRvoK0lRgpLYf9uH3Y3
 FeEi4dfLC3J9mKwrm/uqZfTKyCwlUCypwvm4iwr4PaIa3RCIOl+oVCl26MFvokLVZ+iRRxAsa0jI
 DrQHu/BscwLlfElUsg7H6gi2VmEn12daWt6tzlrS6Kc5uDw/iZmkBsW/EzrxsVgqQyalhH0GWgJF
 OCz1C0HUPMLJTYrppEZFg8fjQTkQAJrd0DJuOM0yIvoiFXxeUeApLsVu+BsUdnKj+odADC3OzfaN
 Xb3W17T7MTrQRQe7RBMzNzuLyYk45pIKenYCiuMWiJKq2YdTza/IzmrotCFI5Ly6pdjlM4VR0T/o
 TrEWi0VIagaUEkQSNEz7eezwbI21Cjt5nS7sCFNo/Npo378++lAcwpO7KEOyTdvW3i4OHrvxGcbm
 XTjQpiKTKyKVLQqaOeQQytSreP1hhLwULv3cqOiCQ6pJHRcBYKFFNmbhSxbNEjxlAlByibqJSw3O
 0IWiirm8Eo90dg9/IQDuwghEeurm+PCZ998TpmQ+GiZ1UYZ068UTjeaWFuRyOSwuLmBqiSMVNyck
 cGw/ApF2uKll1KjyTExOYmIhgx5ySuITyoYbUlX7OluA66CygVxqDn4qq8vlkrAA54qi1JSWoj2D
 hx9/6NhmGprI6RPHO9nMEtUszGHWXJlMnM1m0d5xFwLBoHDGIK3pdArpQgV+L1kl1Ena9wjNssUY
 RM999+H66Ciu3KRYH3WhTM7rct6ikE4UKuTz0Eop6C5dCG+5WyBFugfDrXcPVf1z4x3ZxY/ODCwv
 LYmHi0hAHVQ0FkXnnj24fPkybo6P4UDPvYLXXq+X2kSVLBWGLvlIm1yUlcgRi0QfH0KhsDhzF/02
 RUDHp1Vo+iid1QRvyEfZVcH0rIGJ6RQ6IiqiwTZ4mu4Zju06NNColWwIIJNaPmJUOcp1CgPRNR2J
 RAJ79+7FMtUv7HAcRXgPx3lN5x5XJ21yaFVEI+/3eTE9NYWOnTuFv/D+TEFHd0cBIcWi2iaKDz4c
 Q3w6g5bWNnz9/qfiHb2P9VdfJmzsLd5a7zX/8NZvViggk/Y56nT3HBD8XVpcWnEw5reIJrRaTjuS
 OIlyO3a00lYTsVgMiwuLUMlCogMT0UhDMBxCeOfBeOu9Tw/++NGVd54c4y9t+jXkGvc6Dd3mJ9PH
 bjpkXDh/ngqvKNra2gV1DAJRqWhIUVOezWVJ237xqoSjEwvb3X0PPr1+HXnits8fEPf4zEhLa3rX
 g98bCjR3NuT2Roe0VhRyUNRh7fIDeebzOfFKnMvgi/+8IPIBf8+vS65fH8VycpkopAtfKOYL5OgZ
 XLlyxa7vSQmqWhb1/uTkBPzR1lPfefypX9wJ4dethcLR2Ai/r2EhZ2dmhPaS1OJNUOIqkSBsARZ+
 ZmYa5z75GA8/8STF7qLYX6IQyDVDmfbFb94UmZQ/3/jsU2SyORw+cnToTr4RXxPAQ499a4gds0Bx
 mIWap+Y7k06LmM8WYU7z5w9OnsRPXn9z5NkXjg5pRDt27DnaO0WanqVMXaBrtgqH3vffP4Fnnjvy
 9mYcdMsAjn63751XX39zWCees6AssMqU4ZVmnu6dPXsGL/e/OvLDV1/rizY1Dz7z/AvxNIEskuVY
 47yPV/aPy5cv4ftHXxp+7gcvDfxP/4vpj8PHf3327ycHJsfHKYkV0ESZN9LUzIXZyOHnXnj7xcNP
 HasvuT947/jQ+TOn+9LJJRG5Orv2E22y8Uef/PbQm6/96Nj/5f/IqmV2fWkdb5RgGAhn8o3s3R7b
 Y3t8+fFfAQYACFZg1ogFL/EAAAAASUVORK5CYII=

Package: portabase-dbg
Section: devel
Architecture: any
Depends: portabase (= ${Source-Version})
Description: Debug symbols for PortaBase
